# omnia\_checkDappSecurity

**Returns security details of the web Dapp at the given url.**

**Note: This is a chain-agnostic method.**

**Parameters**

`STRING` - url. The url of the website that is checked. <mark style="color:red;">REQUIRED</mark>

**Returns**

`Object with following details:`

| Parameter            | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | Notice                                                                                                                                                              |
| -------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `project_name`       | It describes the dApp project name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |                                                                                                                                                                     |
| `url`                | It describes the dApp's website link.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |                                                                                                                                                                     |
| `contracts_security` | <p>It describes the security information for this dApp's contracts. The info includes:<br>(1) <code>chain\_id</code> - describes the chains that contracts are deployed on;<br>(2) <code>contract\_address</code> - describes the dApp's contract address;<br>(3) <code>is\_open\_source</code> - describes whether this contract is open source;<br>(4) <code>malicious\_contract</code> - describes whether the address is a suspected malicious contract;<br>(5) <code>malicious\_behavior</code> - describes specific malicious behaviors of the contract; (6) <code>deployment\_time</code> - describes the deployed time of the contract;<br>(7) <code>creator\_address</code> - describes the creator's address of the contract;<br>(8) <code>malicious\_creator</code> - describes whether the creator is a suspected malicious address;<br>(9) <code>malicious\_creator\_behavior</code> - describes specific malicious behaviors of the contract creator.</p> | `malicious_contract` and `malicious_creator` return "0" does not mean the address is completely safe. Maybe we just haven't found its malicious behavior.           |
| `is_audit`           | <p>It describes whether the dApp was audited by a reputable audit firm.<br>"1" means true;<br>"0" means that we have not found audit information for this dApp.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | Return "0" does not mean the dApp was not audited. Maybe we just haven't found audit information for this dApp yet.                                                 |
| `audit_info`         | <p>It describes the audit information of the dApp. <strong>The info includes:</strong><br>(1) <code>audit\_time</code> - describes the time shown in the latest audit report;<br>(2) <code>audit\_link</code> - describes the website link of the audit report;<br>(3) <code>audit\_firm</code> - describes the firm that audited the dApp.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         | When the dApp was not audited, (`is_audit`=0), it will return "null". If there are multiple audit reports, the information of the latest audit report is displayed. |
| `trust_list`         | <p>It describes whether the dApp is a famous and trustworthy one. "1" means true;<br>"0" means that this dApp is not yet on our trusted list.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | <p>(1) Only "trust\_list": "1" means it is a famous and trustworthy dApp.<br>(2) "0" return doesn't mean it is risky.</p>                                           |

<br>

## Example

#### Request

```
curl --request POST \
     --url https://endpoints.omniatech.io/v1/RPC_ENDPOINT \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "omnia_checkdappsecurity",
    "params": [
        {
            "url": "https://app.uniswap.org/#/swap"
        }
    ]
}
'
```

#### Response

```
{
    "id": 1,
    "jsonrpc": "2.0",
    "result": {
        "project_name": "Uniswap",
        "url": "https://app.uniswap.org/#/swap",
        "is_audit": 1,
        "trust_list": 1,
        "audit_info": [
            {
                "audit_time": "2019.01.11",
                "audit_link": "https://github.com/ConsenSys/Uniswap-audit-report-2018-12/blob/master/Uniswap-final.md",
                "audit_firm": "ConsenSys"
            }
        ],
        "contracts_security": [
            {
                "chain_id": "1",
                "contracts": [
                    {
                        "contract_address": "0xc0a47dfe034b400b47bdad5fecda2621de6c4d95",
                        "is_open_source": 1,
                        "creator_address": "0xd1c24f50d05946b3fabefbae3cd0a7e9938c63f2",
                        "malicious_contract": 0,
                        "deployment_time": 1541137042,
                        "malicious_creator": 0,
                        "malicious_creator_behavior": [],
                        "malicious_behavior": []
                    },
                    {
                        "contract_address": "0x077d52b047735976dfda76fef74d4d988ac25196",
                        "is_open_source": 1,
                        "creator_address": "0xb8dc24569eed78375c71808a865a8a013bd2cb7c",
                        "malicious_contract": 0,
                        "deployment_time": 1541935097,
                        "malicious_creator": 0,
                        "malicious_creator_behavior": [],
                        "malicious_behavior": []
                    },
                    {
                        "contract_address": "0x2e642b8d59b45a1d8c5aef716a84ff44ea665914",
                        "is_open_source": 1,
                        "creator_address": null,
                        "malicious_contract": 0,
                        "deployment_time": null,
                        "malicious_creator": 0,
                        "malicious_creator_behavior": [],
                        "malicious_behavior": []
                    }
                    ...
                ]
            }
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omniatech.io/rpc-api-docs/chains/binance-smart-chain/custom-json-rpc-api/omnia_checkdappsecurity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
